org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MaxTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MaxTest

- Direct Known Subclasses:
    MaxTest.Traversals

      public abstract class MaxTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MaxTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_age_fold_maxXlocalX()`
    `void` | `g_V_age_max()`
    `void` | `g_V_foo_fold_maxXlocalX()`
    `void` | `g_V_foo_max()`
    `void` | `g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX()`
    `void` | `g_V_name_fold_maxXlocalX()`
    `void` | `g_V_name_max()`
    `void` | `g_V_repeatXbothX_timesX5X_age_max()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_age_fold_maxXlocalX()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_age_max()`
    `abstract Traversal<Vertex,Comparable>` | `get_g_V_foo_fold_maxXlocalX()`
    `abstract Traversal<Vertex,Comparable>` | `get_g_V_foo_max()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_name_fold_maxXlocalX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_name_max()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_repeatXbothX_timesX5X_age_max()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxTest

          public MaxTest()

  - ### Method Detail

    - #### get_g_V_age_max

          public abstract Traversal<Vertex,Integer> get_g_V_age_max()

    - #### get_g_V_age_fold_maxXlocalX

          public abstract Traversal<Vertex,Integer> get_g_V_age_fold_maxXlocalX()

    - #### get_g_V_foo_max

          public abstract Traversal<Vertex,Comparable> get_g_V_foo_max()

    - #### get_g_V_foo_fold_maxXlocalX

          public abstract Traversal<Vertex,Comparable> get_g_V_foo_fold_maxXlocalX()

    - #### get_g_V_name_max

          public abstract Traversal<Vertex,String> get_g_V_name_max()

    - #### get_g_V_name_fold_maxXlocalX

          public abstract Traversal<Vertex,String> get_g_V_name_fold_maxXlocalX()

    - #### get_g_V_repeatXbothX_timesX5X_age_max

          public abstract Traversal<Vertex,Integer> get_g_V_repeatXbothX_timesX5X_age_max()

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX()

    - #### g_V_age_max

          public void g_V_age_max()

    - #### g_V_age_fold_maxXlocalX

          public void g_V_age_fold_maxXlocalX()

    - #### g_V_foo_max

          public void g_V_foo_max()

    - #### g_V_foo_fold_maxXlocalX

          public void g_V_foo_fold_maxXlocalX()

    - #### g_V_name_max

          public void g_V_name_max()

    - #### g_V_name_fold_maxXlocalX

          public void g_V_name_fold_maxXlocalX()

    - #### g_V_repeatXbothX_timesX5X_age_max

          public void g_V_repeatXbothX_timesX5X_age_max()

    - #### g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX

          public void g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_maxX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.